package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.WorkerMoneyLog;

/**
 * 师傅金额明细Mapper接口
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
public interface WorkerMoneyLogMapper 
{
    /**
     * 查询师傅金额明细
     * 
     * @param id 师傅金额明细主键
     * @return 师傅金额明细
     */
    public WorkerMoneyLog selectWorkerMoneyLogById(Integer id);

    /**
     * 查询师傅金额明细列表
     * 
     * @param workerMoneyLog 师傅金额明细
     * @return 师傅金额明细集合
     */
    public List<WorkerMoneyLog> selectWorkerMoneyLogList(WorkerMoneyLog workerMoneyLog);

    /**
     * 新增师傅金额明细
     * 
     * @param workerMoneyLog 师傅金额明细
     * @return 结果
     */
    public int insertWorkerMoneyLog(WorkerMoneyLog workerMoneyLog);

    /**
     * 修改师傅金额明细
     * 
     * @param workerMoneyLog 师傅金额明细
     * @return 结果
     */
    public int updateWorkerMoneyLog(WorkerMoneyLog workerMoneyLog);

    /**
     * 删除师傅金额明细
     * 
     * @param id 师傅金额明细主键
     * @return 结果
     */
    public int deleteWorkerMoneyLogById(Integer id);

    /**
     * 批量删除师傅金额明细
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteWorkerMoneyLogByIds(Integer[] ids);
}
